---
apiVersion: operator.openshift.io/v1
kind: DNS
metadata:
  creationTimestamp: "2022-03-08T10:39:50Z"
  finalizers:
  - dns.operator.openshift.io/dns-controller
  generation: 1
  managedFields:
  - apiVersion: operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:finalizers:
          .: {}
          v:"dns.operator.openshift.io/dns-controller": {}
      f:spec: {}
      f:status:
        .: {}
        f:clusterDomain: {}
        f:clusterIP: {}
        f:conditions: {}
    manager: dns-operator
    operation: Update
    time: "2022-03-08T10:39:51Z"
  name: default
  resourceVersion: "21500"
  selfLink: /apis/operator.openshift.io/v1/dnses/default
  uid: 7c55026f-b6f8-47dd-8bf6-cc19bce502d9
spec: {}
status:
  clusterDomain: cluster.local
  clusterIP: 172.30.0.10
  conditions:
  - lastTransitionTime: "2022-03-08T10:47:54Z"
    message: IP assigned to DNS service and minimum DaemonSet pods running
    reason: AsExpected
    status: "False"
    type: Degraded
  - lastTransitionTime: "2022-03-08T10:48:10Z"
    message: All expected Nodes running DaemonSet pod and IP assigned to DNS service
    reason: AsExpected
    status: "False"
    type: Progressing
  - lastTransitionTime: "2022-03-08T10:40:07Z"
    message: Minimum number of Nodes running DaemonSet pod and IP assigned to DNS service
    reason: AsExpected
    status: "True"
    type: Available
